Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.engine.gcv
Class GCDnRefValue

    java.lang.Object
      com.novell.nds.dirxml.engine.gcv.GCValue
          com.novell.nds.dirxml.engine.gcv.GCDnRefValue

All Implemented Interfaces:
  ConfigElement

    public class GCDnRefValue

extends GCValue

Class representing "dn-ref" type Global Configuration Values.

Note that dn-ref GCVs are not allowed in `GCDefinitions` (i.e., actual GCV collections) but are allowed in `JobParams`.

Lexical value representations of dn-ref GCVs is irrelevant because the value itself is ignored.

Field Summary

Fields inherited from class com.novell.nds.dirxml.engine.gcv.GCValue
`modified, parent, TYPE_BOOLEAN, TYPE_DN, TYPE_DN_REF, TYPE_ENUM, TYPE_GCV_REF, TYPE_GROUP, TYPE_HEADER, TYPE_INTEGER, TYPE_LIST, TYPE_PASSWORD_REF, TYPE_REAL, TYPE_STRING, TYPE_SUBORDINATES`

Constructor Summary
`GCDnRefValue(String name)` Constructor for use by `GCValue` `construct()` method.

Method Summary
`String` | `getAttrName()` Return the name of the referenced attribute that references a directory object for this value.
`String` | `getAuxClassName()` Get the name of the aux class (if any) containing the attribute referred to by `getAttrName()`.
`String` | `getValue()` Return empty `String`.
`void` | `parseValue(String value)` Does nothing for dn-ref values.
`void` | `setAttrName(String attrName)` Set the name of the referenced attribute for this value.
`void` | `setAuxClassName(String auxClassName)` Set the name of the aux class needed for the attribute name that refers to the object referenced by this value.
`void` | `setValue(String value)` Does nothing.

Methods inherited from class com.novell.nds.dirxml.engine.gcv.GCValue
`construct, construct, constructGCVRef, constructGroup, constructHeader, constructSubordinates, getDescription, getDescriptionRef, getDisplayName, getDisplayNameRef, getHidden, getName, getType, getTypeString, getXMLValue, hasBeenModified, localize, resetModified, setDescription, setDescriptionRef, setDisplayName, setDisplayNameRef, setHidden, toXML, typeFromString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GCDnRefValue

    public GCDnRefValue(String name)
                 throws GCVArgumentException

  Constructor for use by `GCValue` `construct()` method.

  Parameters:
    `name` - Name of password-ref GCV.
  Throws:
    `GCVArgumentException` - thrown if name is invalid

Method Detail

### getAttrName

    public String getAttrName()

  Return the name of the referenced attribute that references a directory object for this value.

  Returns:
    `null` or a directory attribute name.

### setAttrName

    public void setAttrName(String attrName)
                     throws GCVException

  Set the name of the referenced attribute for this value.

  Parameters:
    `attrName` - name of directory attribute name.
  Throws:
    `GCVException` - thrown if `attrName` is `null` or empty.

### getAuxClassName

    public String getAuxClassName()

  Get the name of the aux class (if any) containing the attribute referred to by `getAttrName()`.

  Returns:
    `null` or directory aux class name.

### setAuxClassName

    public void setAuxClassName(String auxClassName)

  Set the name of the aux class needed for the attribute name that refers to the object referenced by this value.

  Parameters:
    `auxClassName` - name of aux class (may be `null` or empty).

### parseValue

    public void parseValue(String value)
                    throws GCVException

  Does nothing for dn-ref values.

  Specified by:
    `parseValue` in class `GCValue`
  Parameters:
    `value` - ignored
  Throws:
    `GCVException`

### getValue

    public String getValue()

  Return empty `String`.

  Specified by:
    `getValue` in class `GCValue`
  Returns:
    Empty `String`

### setValue

    public void setValue(String value)
                  throws GCVException

  Does nothing.

  Specified by:
    `setValue` in class `GCValue`
  Parameters:
    `value` - ignored
  Throws:
    `GCVException`
  See Also:
    `parseValue(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD